Online retailer for industrial customers, commercial customers and public institutions - no sales to private customers
Switch to german languageIndustry-Electronics in English
flight case
& case
foam
padded
mixer
& guitar
aluminium
& wood

Veranstaltungstechnik – Cases

Transport cases and flight cases for professional equipment – mixer cases, microphone cases, guitar and instrument cases and universal cases with customisable foam inserts. Robust aluminium corner fittings, butterfly latches and stack corners for safe transport.

Expert advice: +49 (0)7666 / 88499-0  |  sales@industry-electronics.com

Top manufacturers
✓Monacor

Cases from RCS Audio-Systems

RCS Audio-Systems RFC-010 48,3 cm ( 19 inch )-rack Flight-Case, 10 U RCS Audio-Systems LogoRCS Audio-Systems RFC-010 48,3 cm ( 19 inch )-rack Flight-Case, 10 U The RFC-010 is a professional 48,3 cm ( 19 inch )-flight case from the brand RCS Audio-Systems, designed for use in event technology, studios, or for transporting sensitive electronics. It features 10 ...

Lieske Part No.: 140656
Mfg Part No: RFC-010
578,55 EUR
RCS Audio-Systems RFC-010 plus VAT
≈ £483.09  |  ≈ $648.55
Made to order · Delivery time approx. 20 workdaysinfo_outline
RCS Audio-Systems RFC-012 48,3 cm ( 19 inch )-rack 'Flight-Case' (12 U) RCS Audio-Systems LogoRCS Audio-Systems RFC-012 48,3 cm ( 19 inch )-rack 'Flight-Case' (12 U) 48,3 cm ( 19 inch )FLIGHT CASE RACK body made ​​of plastic, kreuzschichtverleimtem multi-plywood. edge protection made ​​of durable, full perimeter aluminum ...

Lieske Part No.: 634930
Mfg Part No: RFC-012
598,50 EUR
RCS Audio-Systems RFC-012 plus VAT
≈ £499.75  |  ≈ $670.92
Made to order · Delivery time approx. 20 workdaysinfo_outline
RCS Audio-Systems RFC-015 48,3 cm ( 19 inch )-rack Flight-Case, 15 U RCS Audio-Systems LogoRCS Audio-Systems RFC-015 48,3 cm ( 19 inch )-rack Flight-Case, 15 U The RCS Audio-Systems RFC-015 is a 48,3 cm ( 19 inch ) rack in flight case design with a height of 15 rack units (U). It is designed for professional use in event technology, particularly for use on ...

Lieske Part No.: 552982
Mfg Part No: RFC-015
625,10 EUR
RCS Audio-Systems RFC-015 plus VAT
≈ £521.96  |  ≈ $700.74
On order · Delivery time approx. 20 workdaysinfo_outline
RCS Audio-Systems RFC-020 48,3 cm ( 19 inch )-rack Flight-Case, 20 U RCS Audio-Systems LogoRCS Audio-Systems RFC-020 48,3 cm ( 19 inch )-rack Flight-Case, 20 U The RFC-020 from RCS Audio-Systems is a professional 19˝ flight-case rack with a height of 20 units (U), specifically designed for use in event technology, on stages, and for secure transport via ...

Lieske Part No.: 233665
Mfg Part No: RFC-020
707,75 EUR
RCS Audio-Systems RFC-020 plus VAT
≈ £590.97  |  ≈ $793.39
Made to order · Delivery time approx. 20 workdaysinfo_outline
RCS Audio-Systems WFC-010 U 19˝-angle Flight-Case 10 U RCS Audio-Systems LogoRCS Audio-Systems WFC-010 U 19˝-angle Flight-Case 10 U The WFC-010U from RCS Audio-Systems is a 19˝-angled flight case with a height of 10 rack units (U), specifically designed for use in event technology. The housing provides a stable and protective ...

Lieske Part No.: 767093
Mfg Part No: WFC-010 U
Type: WFC-010U
883,50 EUR
RCS Audio-Systems WFC-010 U plus VAT
≈ £737.72  |  ≈ $990.40
On order · Delivery time approx. 20 workdaysinfo_outline
RCS Audio-Systems WFC-012 U 19˝-angle Flight-Case 12 U RCS Audio-Systems LogoRCS Audio-Systems WFC-012 U 19˝-angle Flight-Case 12 U The WFC-012 U from RCS Audio-Systems is a 48,3 cm ( 19 inch ) angled flight case with 12 height units (HE), specifically designed for professional use in event technology. It is intended for the ...

Lieske Part No.: 969506
Mfg Part No: WFC-012 U
Type: WFC-012U
912,00 EUR
RCS Audio-Systems WFC-012 U plus VAT
≈ £761.52  |  ≈ $1,022.35
Made to order · Delivery time approx. 20 workdaysinfo_outline
RCS Audio-Systems WFC-015 U 19˝-angle Flight-Case 15 U RCS Audio-Systems LogoRCS Audio-Systems WFC-015 U 19˝-angle Flight-Case 15 U The WFC-015 U from RCS Audio-Systems is a professional 48,3 cm ( 19 inch )-angle flight case with a height of 15 rack units (U), specifically designed for use in event technology. It is intended for ...

Lieske Part No.: 762413
Mfg Part No: WFC-015 U
Type: WFC-015U
935,75 EUR
RCS Audio-Systems WFC-015 U plus VAT
≈ £781.35  |  ≈ $1,048.98
Made to order · Delivery time approx. 20 workdaysinfo_outline
RCS Audio-Systems WFC-020 U 48,3 cm ( 19 inch )-angle Flight-Case 20 U RCS Audio-Systems LogoRCS Audio-Systems WFC-020 U 48,3 cm ( 19 inch )-angle Flight-Case 20 U The WFC-020 U from RCS Audio-Systems is a 48,3 cm ( 19 inch ) angled flight case with 20 height units (HE), specifically designed for professional use in event technology. It serves as a robust ...

Lieske Part No.: 998751
Mfg Part No: WFC-020 U
Type: WFC-020U
995,60 EUR
RCS Audio-Systems WFC-020 U plus VAT
≈ £831.33  |  ≈ $1,116.07
Made to order · Delivery time approx. 20 workdaysinfo_outline

Why Industry-Electronics?

► B2B specialistExclusively trade customers – no retail compromises. Individual pricing, net purchase on account, EDI integration on request.► 625,000+ itemsBroad range covering event technology, PA, lighting and accessories – one supplier for your entire stage and event infrastructure.► Expert adviceTechnical consultation from experienced staff – by phone and e-mail. Leasing arrangements for larger investments on request.
Searching
Search is performed.
Please be patient ...
Fehlende Felder
Close

We use cookies. Some are required to run the shop (e.g. shopping cart and login), others help us improve it (Google Analytics). Statistics cookies are only used with your consent. See our privacy policy for details.